Geofence: Batch create
POST /apps/{app_id}/geofences/batch_createPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
submission_type |
string | Yes | it can be either file or manual |
csv_file |
file | No | CSV file with list of geofences |
geofences |
array_object | No | |
geofences.name |
string | No | Name of the geofence |
geofences.location |
array_string | No | Centre location of the geofence in a format of: [latitude, longitude] |
geofences.shape |
string | No | it can either be circle or polygon |
geofences.radius |
string | No | Radius of the geofence (in metresor in feets). It is required if shape is “circle”. |
geofences.path |
string | No | List of points of the geofence. It is required if shape is “polygon” |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request POST \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/geofences/batch_create \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json' \ --data '{ "submission_type": "manual", "geofences": [ { "name": "geo513868681", "location": [ 50.042754135466986, 20.207290649414062 ], "shape": "circle", "radius": "5000" }, { "name": "geo25536868871", "location": [ 50.042754135466986, 20.207290649414062 ], "shape": "circle", "radius": "518" } ]}'
